Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.config
Class XmlPlannerBenchmarkFactory

    java.lang.Object
      org.optaplanner.benchmark.config.XmlPlannerBenchmarkFactory

All Implemented Interfaces:
  PlannerBenchmarkFactory

    public class XmlPlannerBenchmarkFactory

extends Object
implements PlannerBenchmarkFactory

Constructor Summary
`XmlPlannerBenchmarkFactory()`
`XmlPlannerBenchmarkFactory(String resource)`

Method Summary
`void` | `addXstreamAnnotations(Class... xstreamAnnotations)`
`PlannerBenchmark` | `buildPlannerBenchmark()`
`XmlPlannerBenchmarkFactory` | `configure(InputStream in)`
`XmlPlannerBenchmarkFactory` | `configure(Reader reader)`
`XmlPlannerBenchmarkFactory` | `configure(String resource)`
`PlannerBenchmarkConfig` | `getPlannerBenchmarkConfig()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlPlannerBenchmarkFactory

    public XmlPlannerBenchmarkFactory()

### XmlPlannerBenchmarkFactory

    public XmlPlannerBenchmarkFactory(String resource)

Method Detail

### addXstreamAnnotations

    public void addXstreamAnnotations(Class... xstreamAnnotations)

### configure

    public XmlPlannerBenchmarkFactory configure(String resource)

### configure

    public XmlPlannerBenchmarkFactory configure(InputStream in)

### configure

    public XmlPlannerBenchmarkFactory configure(Reader reader)

### getPlannerBenchmarkConfig

    public PlannerBenchmarkConfig getPlannerBenchmarkConfig()

  Specified by:
    `getPlannerBenchmarkConfig` in interface `PlannerBenchmarkFactory`

### buildPlannerBenchmark

    public PlannerBenchmark buildPlannerBenchmark()

  Specified by:
    `buildPlannerBenchmark` in interface `PlannerBenchmarkFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.